(define (domain multirobot)
  (:requirements :strips)
  (:predicates (free ?x) (at ?robot ?x) (adjacent ?x ?y))
  (:action move1
    :parameters (?x ?y ?robot)
    :precondition (and (adjacent ?x ?y)
		       (at ?robot ?x)
		       (free ?y)
		  )
    :effect (and (at ?robot ?y)
		 (free ?x)
		 (not (free ?y))
		 (not (at ?robot ?x))
	    )
  )
  (:action move2
    :parameters (?x ?y ?robot)
    :precondition (and (adjacent ?y ?x)
		       (at ?robot ?x)
		       (free ?y)
		  )
    :effect (and (at ?robot ?y)
		 (free ?x)
		 (not (free ?y))
		 (not (at ?robot ?x))
	    )
  )
)
